Bug 457221 - /var/yp/Makefile should fail with "(none)" yp domain
/var/yp/Makefile should fail with "(none)" yp domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ypserv (Show other bugs)
5.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On: 197646
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 07:27 EDT by Yulia Kopkova
Modified: 2013-04-12 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 04:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yulia Kopkova 2008-07-30 07:27:48 EDT
+++ This bug was initially created as a clone of Bug #197646 +++

ypserv-2.13-11

# domainname
(none)
# cd /var/yp
# make
gmake[1]: Entering directory `/var/yp/(none)'
Updating passwd.byname...
Updating passwd.byuid...
Updating group.byname...
Updating group.bygid...
Updating hosts.byname...
Updating hosts.byaddr...
Updating rpc.byname...
Updating rpc.bynumber...
Updating services.byname...
Updating services.byservicename...
Updating netid.byname...
Updating protocols.bynumber...
Updating protocols.byname...
Updating mail.aliases...
gmake[1]: Leaving directory `/var/yp/(none)'

The makefile should check that the domainname isn't (none).
Comment 1 RHEL Product and Program Management 2008-07-30 08:31:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 errata-xmlrpc 2008-08-27 04:33:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0631.html
Comment 8 Henry Maine 2009-04-27 17:41:45 EDT
The fix is incomplete.  One should be able to invoke the makefile by
passing the domain name on the command line without having to first
set the domain name.

E.g. 'make LOCALDOMAIN=foo' should work.

Please add a check to see if LOCALDOMAIN has been set before exiting.

Note You need to log in before you can comment on or make changes to this bug.